// początkowo dopasowywane są wszystkie elementy kotwicy na stronie, 
// a następnie usuwane są te, które nie są elementami podrzędnymi kontenera
$('.container a');

// kod działa lepiej, ponieważ dopasowuje mniej elementów 
// w pierwszym kroku przetwarzania selektora
$('.container .mySpecialLinks');




// początkowo dopasowywane są wszystkie elementy div strony, co jest niepoprawne 
$('.container div');

// selektor znacznie szybszy od poprzedniego,
// ponieważ unika rekurencyjnych sprawdzeń klasy do
// momentu osiągnięcia głównego elementu drzewa modelu DOM
$('.container > div');

// najlepszy selektor, ale nie może być zawsze używany
$('.container > .specialDivs');
